# lugins/osg/AlphaFunc.cpp File Reference

`#include "osg/AlphaFunc"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/AlphaFunc.cpp:

## Functions

bool | AlphaFunc_readLocalData (Object &obj, Input &fr)
bool | AlphaFunc_writeLocalData (const Object &obj, Output &fw)
bool | AlphaFunc_matchFuncStr (const char *str, AlphaFunc::ComparisonFunction &func)
const char * | AlphaFunc_getFuncStr (AlphaFunc::ComparisonFunction func)

## Variables

RegisterDotOsgWrapperProxy | g_AlphaFuncProxy (new osg::AlphaFunc,"AlphaFunc","Object StateAttribute AlphaFunc",&AlphaFunc_readLocalData,&AlphaFunc_writeLocalData)

## Function Documentation

const char * AlphaFunc_getFuncStr | ( | AlphaFunc::ComparisonFunction | func | ) |

bool AlphaFunc_matchFuncStr | ( | const char * | str,
|  | AlphaFunc::ComparisonFunction & | func
| ) |

bool AlphaFunc_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool AlphaFunc_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_AlphaFuncProxy(new osg::AlphaFunc,"AlphaFunc","Object StateAttribute AlphaFunc",&AlphaFunc_readLocalData,&AlphaFunc_writeLocalData)